Listar Conversaciones
curl --request GET \
--url https://api.plazbot.com/api/conversation \
--header 'Authorization: Bearer <token>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.plazbot.com/api/conversation"
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-workspace-id': '<x-workspace-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.plazbot.com/api/conversation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"code": 123,
"errorCode": "<string>",
"message": "<string>",
"data": {
"workspaceId": "<string>",
"newContinuationToken": "<string>",
"data": [
{
"id": "<string>",
"contactId": "<string>",
"workspaceId": "<string>",
"internalWhatsappNumber": "<string>",
"platformSenderId": "<string>",
"platformSenderName": "<string>",
"platformSenderPhone": "<string>",
"workspaceName": "<string>",
"templateCode": "<string>",
"templateType": "<string>",
"type": 123,
"campaignName": "<string>",
"agentSenderId": "<string>",
"requestBody": "<string>",
"responseBody": "<string>",
"responseStatus": "<string>",
"creationDate": "2023-11-07T05:31:56Z"
}
]
}
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}Conversation
Listar Conversaciones
Servicio que extrae toda la informacion de las conversaciones del workspace. La respuesta viene paginada en bloques de 20 registros.
GET
/
api
/
conversation
Listar Conversaciones
Authorizations
Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login
Headers
Identificador del workspace
Query Parameters
Identificador del workspace
ID del contacto para filtrar conversaciones
Token de paginacion para obtener los siguientes registros. Si es null, no hay mas registros.
Response
Lista de conversaciones obtenida exitosamente
Indica si la operacion fue exitosa
Codigo HTTP de la respuesta
Codigo de error, null si no hay error
Mensaje descriptivo del resultado
Respuesta paginada de conversaciones
Show child attributes
Show child attributes
⌘I

